> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orbitflare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset License Key

> Resets the license key associated with the given license, if allowed.

**Deprecated.** This endpoint is part of Customer API v1. Use [Customer API v2](/api-documentation/customer-endpoints/licenses/reset-key) instead.


## OpenAPI

````yaml POST /customer/v1/licenses/{license}/reset
openapi: 3.0.3
info:
  title: OrbitFlare Customer API
  description: >-
    API documentation for the OrbitFlare Customer API. This API allows
    authenticated customers to manage their licenses, whitelist IPs, reset keys,
    and retrieve associated data. Supports v1 (API key only) and v2 (Bearer
    token or API key) with extended features including device/wallet auth, API
    keys management, profile, Solana USDC balance top-up, and RPC plan
    purchasing.
  version: 2.1.0
servers:
  - url: https://orbitflare.com/api
    description: OrbitFlare Production server
security:
  - api_key: []
tags:
  - name: Auth
    description: Authentication (device flow, wallet signature, session)
  - name: Licenses
    description: License management
  - name: API Keys
    description: API key management
  - name: Profile
    description: User profile and balance
  - name: Invoices
    description: Invoice listing, detail, and balance payment
  - name: Top-Up
    description: Balance top-up via Solana USDC
  - name: RPC Plans
    description: Solana RPC plan catalog
  - name: Orders
    description: Order management (validate, purchase, list)
paths:
  /customer/v1/licenses/{license}/reset:
    post:
      tags:
        - Licenses
      summary: Reset License Key (v1)
      description: Resets the license key associated with the given license, if allowed.
      operationId: resetLicenseKeyV1
      parameters:
        - name: license
          in: path
          description: The license identifier.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: License key reset successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    default: false
                  message:
                    type: string
        '403':
          description: Not allowed to reset license key at this time.
      security:
        - api_key: []
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: X-ORBIT-KEY
      in: header
      description: API key for v1 and v2 (when not using Bearer token)

````